/**
 * @license Copyright (c) 2003-2013, CKSource - Frederico Knabben. All rights reserved.
 * For licensing, see LICENSE.md or http://ckeditor.com/license
 */

CKEDITOR.editorConfig = function( config ) {
	config.removePlugins = 'bbcode,bidi,dialogadvtab,div,filebrowser,flash,format,forms,horizontalrule,iframe,justify,liststyle,pagebreak,showborders,stylescombo,table,tabletools,templates';
	config.removeButtons = 'Anchor,PasteText,Strike,Indent,Outdent,Subscript,Superscript,BGColor';/*,Cut,Copy,Paste*/
	config.toolbarGroups = [
		{ name: 'document',	   groups: [ 'mode', 'document', 'doctools' ] },
		{ name: 'clipboard',   groups: [ 'clipboard', 'undo' ] },
		{ name: 'editing',     groups: [ 'find', 'selection', 'spellchecker' ] },
		{ name: 'forms' },
		{ name: 'basicstyles', groups: [ 'basicstyles', 'cleanup' ] },
		{ name: 'paragraph',   groups: [ 'list', 'indent', 'blocks', 'align', 'bidi' ] },
		{ name: 'links' },
		{ name: 'insert' },
		{ name: 'styles' },
		{ name: 'colors' },
		{ name: 'tools' },
		{ name: 'others' },
		{ name: 'about' }
	];
	config.toolbar = [
		[ 'Bold', 'Italic' ],
		[ 'TextColor' ],
		[ 'Undo', 'Redo' ],
		[ 'Link', 'Unlink' ],
		[ 'Source' ],
	];
	config.stylesSet = [];
    config.forcePasteAsPlainText = true;
	config.entities = false;
    config.height = '150px';
	config.removeDialogTabs = 'link:advanced';
    config.resizable = CKEDITOR.DIALOG_RESIZE_NONE;
};

